Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-13494

setup_multiversion_mongodb.py doesn't download 2.4.10 because of non-numeric version sorting

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • Minor - P4
    • Resolution: Fixed
    • None
    • 2.6.2, 2.7.0
    • Testing Infrastructure
    • None
    • Fully Compatible
    • ALL

    Description

      The version sorting in buildscripts/setup_multiversion_mongodb.py is non-numeric, so the following command results in 2.4.9 being downloaded instead of 2.4.10:

      python buildscripts/setup_multiversion_mongodb.py ... 2.4


      Version: 1d50eac6f00016a3366827df2e851531f8c56d3b

      Attachments

        Issue Links

          Activity

            People

              kamran.khan Kamran K.
              kamran.khan Kamran K.
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: